//
// StockQuoteClient.cpp
//


#include "StockQuoteServer/StockQuotesProxy.h"
#include "StockQuoteServer/StockQuotesClientHelper.h"
#include "Poco/Remoting/Binary/TransportFactory.h"
#include "Poco/Remoting/Binary/Transport.h"
#include <iostream>


using namespace StockQuoteServer;


int main(int argc, char** argv)
{
	try
	{
		// register transport
		Poco::Remoting::Binary::TransportFactory::registerFactory();
		
		// get proxy for remote StockQuotes object
		IStockQuotes::Ptr pStockQuotes = StockQuotesClientHelper::find(
			"remoting://localhost:14477/binary/StockQuotes/StockQuotes");

		// invoke methods on remote object
		double quote = pStockQuotes->quoteFor("GOOG");

		std::cout << quote << std::endl;
	}
	catch (Poco::Exception& exc)
	{
		std::cerr << exc.displayText() << std::endl;
		return 1;
	}
	return 0;
}
